

















                                       Arc Aid
                                    Version 1.51
                                         by
                                     Mike Masse

















                                     Users Guide
                                      12/12/90


























                                  Table of Contents


           1. INTRODUCTION...............................................1

           2. LICENSE AGREEMENT..........................................2

           3. REGISTRATION...............................................2

           4. SYSTEM REQUIREMENTS........................................5

           5. INSTALLATION...............................................5

           6. OPERATION..................................................6
              6.1. THE MAIN SCREEN.......................................6
              6.2. COMMAND SUMMARY.......................................8
              6.3. PROGRAM CONFIGURATION OPTIONS.........................9
                   6.3.1. THE ARCAID TEXT FILE VIEWER...................10
                   6.3.2. THE ARCAID WORK DIRECTORY PATH................11
                   6.3.3. DEFAULT STARTUP DIRECTORIES...................11
                   6.3.4. SYSOP MODE: BBS SYSTEM FILE PATH..............12
                   6.3.5. SYSOP MODE: DEFAULT FILE DESCRIPTION..........12
                   6.3.6. ARCAID VIDEO DEFAULTS.........................13
              6.4. TAGGING FILES/MULTIPLE FILE OPERATIONS...............13
                   6.4.1. TAGGING FILES.................................13
                   6.4.2. USING WILDCARDS...............................14
              6.5. KEYBOARD SHORTCUTS...................................14
              6.6. KEYBOARD COMMANDS....................................15
                   6.6.1. <Tab> - Change active windows.................15
                   6.6.2. C - Contents (list) of an archive file........16
                   6.6.3. V - View an archived text file................16
                   6.6.4. E - Examine a non-archived text file..........18
                   6.6.5. D - Change the logged drive...................18
                   6.6.6. P - Change the logged directory (path)........18
                   6.6.7. M - Set directory file mask...................19
              6.7. FUNCTION KEY COMMANDS................................19
                   6.7.1. F1 - The Help Screen..........................20
                   6.7.2. F2 - Extract a file from an archive...........21
                   6.7.3. F3 - Add a file to an archive.................21
                   6.7.4. F4 - Delete a file from an archive............22
                   6.7.5. F5 - Copy a file from one archive to another..22
                   6.7.6. F6 - Create a new archive file (from scratch..23
                   6.7.7. F7 - Create new subdirectory..................23
                   6.7.8. F8 - Remove subdirectory command..............24
                   6.7.9. F9 - Rename file command......................24
              6.8. ALT KEYBOARD COMMANDS................................24
                   6.8.1. <Alt-V> - Change file viewer..................24
                   6.8.2. <Alt-W> - Change temp work file path..........25
                   6.8.3. <Alt-O> - OS Shell............................25
                   6.8.4. <Alt-C> - Copy files command..................26
                   6.8.5. <Alt-M> - Move file(s) command................26
                   6.8.6. <Alt-D> - Delete file.........................27

                                          i






                   6.8.7. <Alt-F> - Change program defaults.............27
                   6.8.8. <Alt-X> - Exit program........................28
              6.9. SYSOP COMMANDS.......................................29
                   6.9.1. <Alt-S> - Sysop mode toggle...................29
                   6.9.2. <Alt-A> - Add entries to the file descriptio..29
                   6.9.3. <Alt-E> - Edit file description...............30
                   6.9.4. <Alt-R> - Remove file entry and description...30
                   6.9.5. <Alt-M> - Move file(s) command, sysop mode....30
                   6.9.6. P - Change the logged directory (path), syso..31

           7. MISCELLANEOUS.............................................31

           8. DISCLAIMER................................................32



          Appendices

           A. Supported BBS Types.......................................33
           B. GENERIC.CTL File Format...................................34
           C. ARCAID.DEF File Format....................................35
           D. Window movement and editing keys..........................36































                                         ii






                                       Arc Aid
                                Archival Aid Utility
                           copyright 1989, 1990 Mike Masse

          1. INTRODUCTION


          Arc Aid is another attempt to provide a "user friendly" approach
          to handling the multitude of archival programs that abound on the
          various PC-based bulletin boards. Arc Aid acts as a "front end"
          to (some of) these programs, and as such, does not in itself do
          any archive functions. It does, however, eliminate the need to
          remember the commands and switches for most basic operations and
          will allow you to examine the directory of any supported archive
          file (including SFX files) without the need for the archiver it-
          self. It also eliminates the need to enter all the file and path
          names needed to effect extractions, additions, deletions, etc.
          "So what?", you say. "Well, where's your spirit of adventure", I
          say. Read on and play.

          Currently, Arc Aid interfaces to and has been tested with PAK
          (NoGate Consulting), PK(UN)ZIP & PK(X)ARC (PKWARE Inc.), ZOO
          (Rahul Dhesi), and LHarc (Haruyasu Yoshizaki (Yoshi)). As of this
          writing, Arc Aid also has code implemented but has not been
          tested with ARC (SEA) (because I don't have access to it). The
          PK(X)ARC interface has been provided for the possibly few people
          who may not know of the unfortunate history of this package and
          may still use it. DWC (Dean Cooper) archive files may be ex-
          amined, but no interface code has been provided primarily because
          I don't have access to that archival utility. If ArcAid doesn't
          support your favorite brand of archiving program, let me know and
          I will gladly add it to the currently supported products.

          Arc Aid is not Public Domain, nor is it free. It is Shareware. I
          guess I could go into a long dissertation about what that means,
          but I think you already know that. Put simply, you are licensed
          to try Arc Aid for a period of 30 days without obligation. If you
          plan to use ArcAid after this trial period, you MUST register. Of
          course, if you don't like ArcAid (and do not plan to continue
          using it), I won't hold it against you.

          Arc Aid was developed on a Leading Edge Model M (I know...old,
          old machine) with 640K RAM, 20Meg HD, and CGA monitor, using
          Borland's Turbo C, version 2.0 (an excellant program development
          system), supplemented by the CXL Extended Function Library (also
          an excellant software effort currently owned and supported by In-
          novative Data Concepts, originally developed by Mike Smedley).

                                      WHY?????

          Why write Arc Aid? I know, you've been dying to ask. Well, even
          if you haven't, I'm going to tell you anyway. We software junkies

                                          1






          seem compelled to explain and/or rationalize our addiction to the
          composition of source code. More or less simply put, I just
          wanted to have an easy to use program that would help me remember
          the commands for the various archive programs that are used on
          bulletin boards. And, I wanted a program that would flexibly al-
          low me to browse through various kinds of archive files and move
          files between them, at will. I also wanted to be able to easily
          examine any text file from any archive type, perhaps edit the
          file, and then add it back, all within an environment that shel-
          tered me from the harsh realities of the DOS command line. I
          didn't want any complex setup or configuration. I wanted it to
          easily interface with my (or anyone else's) favorite text viewer
          and/or editor. I tried a few shareware programs and found that
          they were not suited to me. So I built my own. So what you have
          before you is a program tailored to MY tastes, which may or may
          not agree with yours. But that's what makes America great...where
          else can you have lots of programs which nobody likes?


          2. LICENSE AGREEMENT

          By using ArcAid, you agree to the following conditions:

          (1)  You may use ArcAid for a trial period of 30 days without
               obligation. After the trial period, if you intend to con-
               tinue using ArcAid, then you MUST register to be able to
               continue using ArcAid.

          (2)  After registering your copy of ArcAid, you license automati-
               cally extends to all future releases. In other words, no
               upgrades fees will be charged.

          (3)  You may make as many copies of ArcAid as you feel is neces-
               sary for backup purposes, so long as there is no possibility
               of your registered copy of ArcAid being used at one location
               while it is being used at another.

          (4)  You may distribute (but not sell) copies of the ArcAid files
               as you wish with the stipulation that all files are included
               without modification and that you may not charge any fee in
               doing so, except for media and handling charges, not to
               exceed $5.00.


          3. REGISTRATION

          Just in case you forgot, if you decide that you want to continue
          using ArcAid after the trial period of 30 days (I know, deci-
          sions, decisions), then you MUST register. Continuing to use
          ArcAid after the trial period places you in violation of the
          license agreement.


                                          2






          There are two levels of registration. The first level registers
          you for the current release that you are using. I will notify
          you, by E-Mail when and where the next release is available for
          downloading. The fee for this level is $10.00. If you register
          with a payment of $25.00 or more, then you will be entitled to
          directly receive the next release of ArcAid. In other words, I
          will mail it to you (via postal service), direct, just as soon as
          its available. Please include the release number in the comments
          section on the included registration form so that I may know
          which release to mail to you.

          But what about upgrades, you ask? Do I have to re-register for
          every upgrade that becomes available? No. Register once and your
          license is automatically extended to all future releases of
          ArcAid.

          In case you lost your ORDER.FRM file, a registration form has
          been enclosed below:



































                                          3








                              ArcAid Registration Form


          Name:     ______________________________________________________

          Company:  ______________________________________________________

          Address:  ______________________________________________________

                    ______________________________________________________

          City:     ______________________________________________________

          State:    ________________________  Zip Code:  _________________

          Phone:    ______________________________________________________

          E-Mail Address:  _______________________________________________

          Where did you receive ArcAid? __________________________________

          ________________________________________________________________

          Comments (include the release number you are registering): _____

          ________________________________________________________________

          ________________________________________________________________


          Basic Registration @ $10.00                       $__________

          Registration + next release @ $25.00              $__________

          Non-US Shipping @ $5.00                           $__________

          Total                                             $__________

                (Payments must be in US Dollars, US bank)

                  Remit to:        Mike Masse
                                   8822 Country View Drive
                                   Sparta, MI  49345








                                          4






          4. SYSTEM REQUIREMENTS

          ArcAid requires a minimal system of an IBM PC (or close
          compatible) with 256K RAM, two 360K DSDD 5 1/4 disk drives, and a
          display system capable of displaying the "IBM" graphics display
          characters. Although color is not required, it is used exten-
          sively throughout ArcAid and adds to ArcAid's user environment.
          ArcAid requires MS-DOS 2.0 or higher.

          Although you may find that ArcAid will operate properly in under
          640K RAM, some of the archival programs do require significant
          amounts of memory and ArcAid will occupy a minimum of 160K. This
          does not leave much memory in smaller systems. Although ArcAid
          itself will run in a 256K system, the archivers will not typi-
          cally operate in the memory that is left over.

          5. INSTALLATION


          Installation is simple (famous last words). Put the ArcAid file-
          set somewhere in your default path search list specified by your
          SET PATH= statement. For ArcAid to work properly, the archive
          utilities that you use must also be somewhere in that path search
          list as well.

          For example, if your SET PATH = statement (probably in your
          AUTOEXEC.BAT file) looks like this:

          SET PATH = C:\;C:\DOS;C:\ARCHIVE

          you should put ARCAID.EXE (and ARCAID.HLP) in either the C:\DOS
          or C:\ARCHIVE directories. Of course, you could put it in your
          root directory, but that gets very messy after a while.

          If you don't know (or can't remember) what your SET PATH command
          says, you can find that out pretty easily by typing the word
          "PATH" (do not type the quotes) at the DOS command line and your
          system will gladly spit it out. If you are new to the wonderful
          world of DOS and don't know how to put ARCAID.EXE in the desired
          directory, you can use the DOS COPY command. For example, say you
          wanted to put the ArcAid file set (ARCAID.EXE and ARCAID.HLP) in
          the directory on drive C: called \DOS, and the ArcAid file set
          were on drive A:, then you would use the command:

                           COPY A:ARCAID.EXE C:\DOS<ENTER>
                           COPY A:ARCAID.HLP C:\DOS<ENTER>

          If you still haven't uncompressed (unZIPp'ed) them, then you can
          do it this way (assuming that ARKD150.ZIP is on drive A:):

              PKUNZIP A:ARKD150.ZIP C:\DOS ARCAID.EXE ARCAID.HLP<ENTER>


                                          5






          Please note that ArcAid is distributed originally in ZIP format.
          However, some sysops or distributors may change the compression
          format to their favorite. Please refer to the appropriate de-
          compression documentation for the format that you receive it in.

          6. OPERATION


          To execute ArcAid, enter at your system prompt:

                    ARCAID<Enter>

          ( <Enter> means strike the Enter key. )

          ArcAid will load and display the sign-on screen. I will release
          beta copies to BBS' who are interested in testing this software.
          However, I will let you know that you have a test copy by dis-
          playing in RED FLASHING LETTERS: Beta Release. This does not mean
          that it will disintegrate your computer. All it means is that the
          release has not been fully tested. I do the best I can to catch
          all the bugs BEFORE I send out a beta release, but you rarely
          catch them all. That's partly why a beta release is sent out.

          By the way, having a Beta release does not remove your obligation
          to register ArcAid.

          Press any key to move on.


          6.1. THE MAIN SCREEN


          The first time that ArcAid is run on your system it will display
          a screen asking you to specify the program defaults that you
          desire. This screen will be displayed before the main screen is
          presented. Enter and/or change the program defaults to correspond
          with your needs. Press <Ctrl-Enter> at any time, or <Enter> after
          the last field to continue. After you have accepted your new
          defaults, ArcAid will create a defaults data file called
          ARCAID.DEF which it will place in the same directory as
          ARCAID.EXE. You can change the defaults at any time by using the
          <Alt-F> command (described later). By the way, this screen will
          appear upon startup anytime ArcAid cannot find the defaults data
          file in the same directory as the ARCAID.EXE file.

          After the sign-on screen clears, (and the configuration screen in
          some cases) the main screen (for a lack of anything better to
          call it) is presented. For the first few seconds after the screen
          is initially displayed, ArcAid will be busy examining the current
          directory and will subsequently present you with two identical
          directory displays (if you have not enabled the default startup
          directory option), showing the contents of the directory from

                                          6






          which you started ArcAid. If you have enabled the default startup
          directory mode (by entering a valid drive\path combination in the
          appropriate spaces on the defaults screen), then ArcAid will dis-
          play the directory contents (or the first 8 entries if more than
          8 files in the directory) of the designated directories. After
          the directories are shown, a message in the status box (bottom of
          screen) will tell you that ArcAid is ready to do something.
          (Actually it tells you to enter a command or press <F1> for
          help).

                                   ---------------

          A note on the Version 1.00. This version was compiled using the
          SMALL 8088 model, which means that it is limited to using a total
          of 64K of memory for data storage (and 64K of program size). Ar-
          cAid makes extensive use of this memory in handling directories
          and archived file lists. As such, there is a limit (practical or
          otherwise) as to how many directory items it can contain. The
          limit for this model is approximately 500 total items (each
          directory window plus the current archive file list, if any).
          This is a severe limitation for BBS Sysops who can (and do) have
          over 300 entries in one directory. If you try to start up ArcAid
          Version 1.00 in a directory with over 250 entries, it will prob-
          ably exit with a insufficient memory error. Remember, the total
          number of files this release can handle is about 500. ArcAid
          won't do anything nasty to you, but it will CLEANLY exit to DOS
          if it uses up all the memory it can have. This limitation has
          been removed in versions 1.20 and above, so if you have a lesser
          release, look for a 1.20 version or higher on your friendly
          neighborhood BBS.

                                   ---------------

          The main screen is divided up into three main "windows" and a
          status line. The two upper windows display the file contents for
          the currently logged directory for that window. The currently
          logged drive for that window is displayed above the window, and
          the full path for the directory is listed just below the window.
          The bottom window is used for archive related displays (file
          lists and error messages). The status line is just that...it dis-
          plays the status of things as they progress and the results of
          certain operations. Most error messages are displayed on this
          line.

          To find out what you can do from this screen, strike the <F1>
          key. This will bring up the General Help screen, which, by paging
          down, allows you to view the command list, keyboard shortcuts and
          other nice to know stuff. Striking the <Esc> key will return you
          to the main screen. By selecting a "hi-lited" keyword (using
          either the keyboard cursor arrows or a mouse) and pressing
          <Enter> (or the left-button on the mouse), you can view informa-
          tion about the keyword or command.

                                          7






          Starting with ArcAid version 1.40, the help has been considerably
          extended to provide context sensitive help. In addition to the
          help on all commands with examples on how they're used, there is
          selected help for other aspects of ArcAid. For example, there is
          separate help for each of the entry fields on the defaults screen
          explaining what ArcAid is expecting and how you may use these
          fields.

          In using the majority of the commands, ArcAid will operate in a
          Source_Directory to Destination_Directory fashion. What this
          means is that if you wish to extract a file, you must first,
          using either window, indicate the source archive file. Next you
          will strike the <Tab> key and log into the target drive and/or
          directory where you want the extracted file to go (this can be
          the same directory, but you must use the other window).

          For example, say you had an archive file, FOOBAZ.LZH on drive A:,
          in the root directory and you wanted to extract FOO.BAZ to drive
          C: and place it in a directory named \STUFF. Starting with
          whichever window you want, log into drive A: (if not already
          there) with the D (Drive change) command. Enter A at the prompt
          and press <Enter>. Move the cursor bar to FOOBAZ.LZH. This window
          is now the source directory from which the file will be
          retrieved. Next, press the <Tab> key and the other window now be-
          comes active. If necessary, use the P command to change to the
          desired drive and the path (C:\STUFF). That's how source and des-
          tination are selected. Point and shoot. To complete the opera-
          tion, press <F2> (file extraction). If you haven't selected the
          file to extract, ArcAid will display the file contents of
          FOOBAZ.LZH and allow you select FOO.BAZ. After selecting FOO.BAZ
          (by moving the cursor bar to it and pressing <Enter>), ArcAid
          will call the appropriate archiver (in this case, lharc) with the
          appropriate commands. All you do is watch it work.


          6.2. COMMAND SUMMARY

          The following command operations are available from the main
          screen:

                                Function Key Commands

          <F1>  On-line help
          <F2>  Extract a file from a supported archive file
          <F3>  Add a file to a supported archive file
          <F4>  Delete a file from a supported archive file
          <F5>  Copy a file from one supported archive file to another
          <F6>  Create a new archive file
          <sF6> Create a SFX file from an existing archive file
          <F7>  Create a new subdirectory
          <F8>  Remove an existing subdirectory
          <F9>  Rename a file

                                          8






                                  Keyboard Commands

          C  Examine the Contents (list) of an archive file
          M  Set file Mask (like *.zip) for current directory window
          V  View a text file that is within an archive file
          E  Examine (view) a text file not in an archive file
          D  Log into a new drive for the current directory window
          P  Log into a new drive\pathname for the current window
          <Tab> Change active directory window (toggle)
          <Ins> Tag a file for use with other commands
          <Del> Clear all tags
          <Enter> (if directory entry selected) enter directory
          <Enter> (if archive file selected) same a (V) above

                               Alt - Keyboard Commands

          Alt-C  Copy file(s) (same as DOS Copy command)
          Alt-D  Delete file(s) (same as DOS Del command)
          Alt-F  Change program defaults
          Alt-M  Move files(s) (same as copy and delete)
          Alt-N  Turn off/on (toggle) Arc Aid sound effects
          Alt-V  Change the file viewer
          Alt-W  Change ArcAid temporary work directory path
          Alt-O  OS shell (temporary exit to MS-DOS)
          Alt-X  Exit the program

                                 Sysop Mode Commands

          P      Change drive\path using system area list
          Alt-S  Sysop mode on/off (toggle)
          Alt-A  Add file entry to files description list (FILES.BBS)
          Alt-E  Edit file description
          Alt-M  Move file(s) with file description (hurl)
          Alt-R  Remove file entry from files description list (FILES.BBS)


          6.3. PROGRAM CONFIGURATION OPTIONS


          There are several program defaults that you need to be concerned
          about. As of release 1.20, these defaults are custom con-
          figurable. As ArcAid's capabilities and configuration needs grow,
          every effort will be made to allow you to easily custom configure
          these options to suit your system.

          These defaults include viewing text files and the utility program
          that is used to view these files; the temporary work area path
          that ArcAid uses in some archiving operations; the default
          directories that ArcAid will log into upon startup, if enabled;
          whether or not to save the current directory paths upon exit for
          subsequent startups; and various video defaults (bios/direct,
          color/monochrome, cga snow check).

                                          9






          6.3.1. THE ARCAID TEXT FILE VIEWER


          There are currently two ways to view text files from within
          ArcAid. You can view files that are contained in archive files,
          or you can examine text files that are just sitting on your disk
          somewhere, not yet in an archive file. These commands are
          described in detail below. But...it is important to note that,
          like the archivers, the file viewer is not contained within
          ArcAid. This was done for two reasons:

          First, I can't see re-inventing the wheel. As there are many good
          archivers, there are also many good file viewers. So you have the
          option of picking your own favorite. Second, in allowing you to
          pick whatever type of program you want for a file viewer, a
          tremendous amount of flexibility is built into the system. For
          example, you don't have to exit to a file viewer. You can exit to
          an editor or a binary dump program or any other program for that
          matter. This allows you to view the file in any way that you see
          fit.

          However, before you use your favorite file viewer, you must tell
          ArcAid what it is. This is done through the <Alt-V> (or <Alt-F>)
          command, described below. The default file viewer is README,
          which happens to be the one I use. Every time you use the <Alt-V>
          command,   ArcAid saves the program name in a file called AR-
          CAID.DEF, which it puts in the same directory that ARCAID.EXE is
          located. So you only have to tell ArcAid once. If ArcAid finds
          the defaults file upon loading, it will use the default values
          contained within. Otherwise it will use the standard program
          defaults. So you must tell ArcAid what your viewer is if you are
          using a program called something other than README, but again,
          you only tell it once (assuming that you don't do something
          foolish like deleting your ARCAID.DEF file).

          ArcAid will support most text file viewers (and hex dump programs
          and file editors) that will accept the work file name on the com-
          mand line. For example, if you use Norton Commander (tm) 4.5 Ad-
          vanced, it comes with a text file viewer called WPVIEW.EXE. This
          is how NC allows you to view text files. It is a good utility and
          nicely complements the package. If you like their text file
          viewer and would like to use it with ArcAid, then enter WPVIEW at
          the prompt for a new file viewer. If WPVIEW.EXE is not in the
          default system path (SET PATH=), then enter the full path name
          (up to 80 characters), so that ArcAid can find it.

          Remember, the default is README. If you don't have a README.COM
          or README.EXE in your system path areas, ArcAid won't be able to
          find it.




                                         10






          6.3.2. THE ARCAID WORK DIRECTORY PATH


          The other program default that may concern you is the name and
          location of the temporary work area path that ArcAid uses when
          moving files between archives and when extracting a file tem-
          poraryily for viewing. The name of this directory is called
          $TMPDIR$ and is created within the currently logged directory. If
          all goes well, you will never see this directory. With version
          1.10 and below, this was not alterable. This was a problem when
          you tried to work on floppies that have little excess storage
          space. In this case, the archiver would not be able to extract
          the file and the operation would fail. Starting with release
          1.11b and above, this becomes another configurable item. The ac-
          tual work directory name, $TMPDIR$, remains unchanged, however,
          the user now has the option of changing the path name leading to
          this work area. This pathname is specified via the command <Alt-
          W> (or <Alt-F>), detailed below.

          When specifying the pathname, a trailing backslash must be ap-
          pended to the path for ArcAid to use this properly. For example,
          if you decided to make the temporary work path C:\DOS\TEMP\, the
          trailing backslash must be as shown:                ------^.

          The default pathname is the currently logged directory.


          6.3.3. DEFAULT STARTUP DIRECTORIES


          This feature, if you decide to use it, will force ArcAid to log
          into any directory on any legal partition on your system, no mat-
          ter where you start ArcAid from. This feature is useful if you
          have a set file upload and download area, or a standard directory
          where you keep archive files and you always want to start off
          looking at them.

          You have complete control over both windows. To select a default
          directory for a particular window, just enter the full
          drive:\pathname for the directory in the appropriate entry posi-
          tion on the configuration screen. If an entry is left blank, then
          ArcAid assumes that you want to use the directory in which you
          started it.

          Ok...say you do a lot of uploading and downloading, and you have
          two directories called \UPLOAD and \DOWNLOAD, and \DOWNLOAD is on
          drive D: and \UPLOAD in on drive C:. Further, say you want the
          upload directory to be the left window and the other to be the
          right window. Simply enter in the default left window directory
          entry: C:\UPLOAD\ and enter in the right window entry:
          D:\DOWNLOAD\. If you forget to put the trailing backslash, ArcAid
          will add it for you.

                                         11







          All right...say you don't do much uploading and downloading, but
          you have a hard disk and you keep many archive files in a direc-
          tory called C:\ARCHIVED. It sure would be nice, you say, to start
          up the right window there, but I want the left window to start up
          in the directory that I was in when I started up ArcAid. No
          problem. Just make sure the left window entry is blank (erase any
          existing entries) and enter C:\ARCHIVED\ in the right window
          entry.

          Well...say you have no need for this feature. No problem. Just
          leave both entries blank and ArcAid will not use them.

          By the way, ArcAid will save the current drive\pathname combina-
          tion upon exit if the AUTOSAVE DIRECTORIES feature is enabled. If
          you do not want this feature, then call up the defaults screen,
          <Alt-F>, and set that feature to 'N'. If you leave this as 'Y',
          then ArcAid will save the current directories upon exit, and will
          use them the next time you start it up.


          6.3.4. SYSOP MODE: BBS SYSTEM FILE PATH

          This default is intended to tell ArcAid where to find the various
          system files that define your BBS' file areas. These files are
          different for each BBS type; for example, in QuickBBS this infor-
          mation is contained in the menu (.MNU) files. In Opus 1.03 and
          earlier versions of FIDO they are SYSTEM??.BBS, where ?? is a
          hexidecimal number from 00 to FF. So...to take advantage of this
          feature, sysops, you must know what files contain your file area
          definitions and then enter the path ArcAid must use to find them.
          This information is entered on the defaults screen that will come
          up the first time ArcAid is run after being installed, or any
          time you enter <Alt-F> from the main screen.


          6.3.5. SYSOP MODE: DEFAULT FILE DESCRIPTION


          In the Sysop Mode, ArcAid will use the FILES.BBS file contents as
          the directory. In the event that you log into an area that does
          not contain a FILES.BBS, ArcAid will ask you if you want to make
          one. If you say "Yes" (actually, ArcAid cannot hear you...you
          must enter either a 'Y' or an 'N'), then you will be asked for a
          file mask to be used in building the FILES.BBS from the files
          contained in the current directory. Each file entered should have
          a description and this space allows you to automatically insert
          one for each line. Enter the desired description line (such as
          "Leave description for Sysop") in the designated space on the
          defaults screen.



                                         12






          6.3.6. ARCAID VIDEO DEFAULTS


          ArcAid, via CXL, allows you control over several video
          attributes: direct video vs. BIOS output, CGA snow control and
          force mapping to monochrome. ArcAid assumes direct video mode, no
          CGA snow control and full color support. You can change these via
          the defaults configuration screen.

          To change or view these defaults, enter <Alt-F> at the main
          screen and you will be presented with the configuration screen.
          Change the video attributes (enter Y or N to change selection) as
          you see fit. Pressing <Enter> after the last field, or <Ctrl-
          Enter> at any field will accept your answers and move on.

          Note that you can change any of the defaults from this screen,
          not just the video attributes.

          6.4. TAGGING FILES/MULTIPLE FILE OPERATIONS

          Starting with release 1.12b, ArcAid provides the user with per-
          forming archival and some limited DOS file management operations
          on more than one file. This can be currently accomplished in two
          ways: 1) by tagging files and 2) by using wildcards.


          6.4.1. TAGGING FILES

          The currently supported archivers all support multiple file
          parameters on the command line. This means that you can ask PKZIP
          or LHARC to archive several files by entering all of their names
          on the command line. ArcAid allows you to do this as well, by al-
          lowing you to individually select (tag) files for inclusion in
          the archiver operation. You can select files in this manner for
          all archive operations as well as the DOS file management options
          of delete file and copy file.

          To tag a file, simply move the cursor bar to the desired file
          (either in a directory window, or in the archive view window) and
          press the <Ins> key. Several things will happen. 1) A small check
          mark will appear next to the name (to the right side of the name
          in the directory window and to the left side of the name in the
          archive view window). 2) An entry display marked "Tagged:" will
          be updated to tell you how many files you have tagged. 3) An
          entry marked "Cmd Space:" will be updated to tell you how much
          space you have left on the command line (more on this later). To
          untag a file, move the cursor bar to the file entry and press the
          <Ins> key again. The tag is removed and the window status fields
          are updated. TO CLEAR ALL TAGS, press the <Del> key.

          The DOS command line is limited to 127 characters, including
          program name and switches, as well as the file list. What this

                                         13






          means is that after you subtract out the overhead, you have
          enough space for about 11-12 files that can be passed to the com-
          mand line. ArcAid tries to help you keep track of this with the
          window status fields for each view window. If you tag enough
          files to drive the "Cmd Space" entry negative (a minus number),
          then you need to untag a few file. ArcAid will not allow you to
          try to build an illegal command line, so you can't force it.

          Tagging files is good if you have only a few non-similar names
          that you wish to work with. It is a handy feature which you will
          probably use much of the time.


          6.4.2. USING WILDCARDS

          For those file operations where you have a group of similarly
          named files, you may wish to use this option. To use wildcards,
          perform you operation as if you wanted to work with only one file
          (hi-lite and select, ie., don't tag any files). Before executing
          the operation, ArcAid will prompt you for a file specification to
          use. The default value (the hi-lited file) will be displayed in
          the prompt window border. If you want to accept the default
          value, simply press <Enter>. If you want to enter some other file
          name, enter it at this time. This file name can include the wild
          cards * and ?. Enter your new file specification (such as *.* or
          *.DAT, or whatever) and press <Enter>. Operations will then be
          performed in accordance with the newly entered file specifica-
          tion.

          Please note that currently you can enter only one file specifica-
          tion at this prompt. Multiple file entries will generate and in-
          valid command line message and the operation will abort.


          6.5. KEYBOARD SHORTCUTS


          ArcAid provides a few shortcuts that may aid your use. For ex-
          ample, the <Enter> key provides a double shortcut, depending upon
          the type of directory entry the cursor bar is pointing to.

          If the cursor bar is hi-lighting the (.) directory shorthand, Ar-
          cAid will perform a directory window refresh (same as R command).
          If the cursor bar is hi-lighting the (..) directory shorthand,
          ArcAid will change directories to the next level above the cur-
          rent subdirectory.

          If the cursor bar is hi-lighting an archive file, pressing
          <Enter> will perform the View archived text file (same as V) com-
          mand. In othe words, you will be shown the file directory con-
          tents of the hi-lighted archive file, and be allowed to view a
          text file within the archive. If you press <Esc> after looking

                                         14






          through the directory, the operation is stopped and you are
          returned to the directory view mode. If the cursor bar is on some
          other kind of file, ArcAid will give you an error message.

          In addition, if you have a mouse, ArcAid will know this and allow
          you some use of your mouse. If you have a three button mouse, the
          middle button is ignored. You can use the mouse to select items
          that are displayed in lists, such as the system area list in the
          sysop mode, or archive type in the create new archive file opera-
          tion. You may scroll through these lists by positioning the mouse
          cursor on the up or down arrows that are located on the right
          side of the list window and pressing the left button.


          6.6. KEYBOARD COMMANDS


          This section describes the operation of the commands available by
          pressing certain non-function, control or alt keys. These com-
          mands are supplemented by the keyboard cursor "arrow" keys, the
          <Home>, <End>, <PgUp> and <PgDn> keys. The arrow keys move the
          cursor bar up/down one line. The <PgUp> and <PgDn> keys scroll up
          or down one "window screen" at a time. For the directory windows
          only, the <Home> and <End> keys will take you to the beginning or
          end of the list, respectively.

          6.6.1. <Tab> - Change active windows

               To change the active directory window, strike the Tab key. A
               diamond shaped object to the left of the current disk drive
               designation will tell you which window is currently active.
               As you gleefully press the <Tab> key, this diamond will joy-
               fully bounce back and forth from window to window, providing
               you with hours of fun and entertainment.

               Changing the active directory window is at the heart of the
               flexibility of ArcAid. Although ArcAid typically uses a
               Source_Directory to Destination_Directory file transfer ap-
               proach, there is no restriction placed as to which window is
               the source and which is the destination. Either window can
               operate in both functions. The source window is always the
               window you begin an operation in. The destination window is
               always the window where your file(s) ends up.

               Either window can enter into any existing directory on any
               valid drive, and both can be logged into the same drive and
               directory at the same time, if desired. Operations can be
               performed across drives and partitions. The windows hope-
               fully provide a 'point and shoot' method of file transfer
               and manipulation.



                                         15






          6.6.2. C - Contents (list) of an archive file


               This command allows you to see what a specific supported ar-
               chive file contains. The Contents command corresponds to the
               file list command that the archivers provide to list the
               contents of a particular archive file. ArcAid, however, does
               not use the archiver programs to provide this list, but
               directly accesses the file directory tables within the ar-
               chive file to provide a quick but complete list of files.
               Therefore, you can get a file list of any supported archive
               file type even if you don't have that particular archiver.

               To use this command, hi-lite (move the cursor bar to) the
               archive file that you wish to examine, using the cursor
               functions listed above, and press the letter 'C' (upper or
               lower case). ArcAid will attempt to examine the file and
               retrieve its directory. If this was successful, you will be
               presented with the first 5 entries in the archive window at
               the bottom of the screen. You can scroll through the list
               using the cursor keys as listed above.

               This command can also be used to select a file (or files by
               tagging) for later use (extraction or copy). To select one
               file, move the cursor bar to the file you wish to select and
               press <Enter>. If you want to select more than one file,
               press the <Ins> key and the hi-lighted file will be tagged
               for later use. The tag is indicated by a check mark () on
               the extreme left side of the archive file window, next to
               the tagged file. To clear a tag, hi-lite the file and strike
               the <Ins> key. The tag will be cleared. To clear all tags,
               strike the <Del> key. Please refer to the section above on
               tagging multiple files for limitations on this option. If
               you do not wish to select a file, press <Esc>.

               ArcAid can examine not only standard archive files for the
               supported archivers, but also self-extracting 'ZIP' (PKWARE)
               files. As other formats are determined, support for other
               self-extracting files will be added.

          6.6.3. V - View an archived text file

               This command allows you to view a text file that is con-
               tained within an archive file. If you have not previously
               selected a file using the 'C' command above, you will be
               presented with a selection list at this time. If you change
               your mind, press <Esc> and the process will be aborted. If
               you press <Enter>, the hi-lited file entry will be extracted
               and displayed using the selected file viewer (see Alt-V com-
               mand explanation). After exiting from the viewer, the ex-
               tracted file will be deleted.


                                         16






               To avoid file name contention problems, ArcAid creates a
               temporary sub-directory called $TMPDIR$ and works within
               this sub-directory. This sub-directory is removed at the end
               of this operation. The user has the option of specifying the
               leading portion of the pathname for use with this work area
               (See section on Alt-W).

               As you can change the name of the file viewer, this command
               can actually examine anything, providing you have used the
               proper discretion in selecting your file viewer. Experiment
               with this option.

               IMPORTANT! IMPORTANT! The default file viewer is a program
               called README. This is a versatile text file viewer that is
               released with many of Borland's software products. If you do
               not have this or a similar product with the same name, then
               you will need to change the file viewer (Alt-V) before you
               can view any text files. ArcAid will save the default viewer
               each time you change it. The default viewer is saved in a
               file called ARCAID.DEF and is located in the same directory
               that you put ARCAID.EXE. So, you only have to change it
               once. ArcAid looks for the defaults file and if it can find
               it, uses the defaults contained within.

               ArcAid does not currently support viewing the contents of
               arc'd files that have been re-arc'd (i.e., arc files that
               are contained within other arc files). To view contents
               lists or examine files contained within, you must first ex-
               tract this arc'd file from the archive and then examine.
























                                         17






          6.6.4. E - Examine a non-archived text file

               This command was provided to make it easy to look at text
               files for whatever reason, without having to exit ArcAid.
               Select the file in the active directory window that you wish
               to examine (by moving the cursor bar to the desired file
               entry) and press 'E'.   ArcAid will load the file viewer
               with the selected file. This means that if your file viewer
               is an editor, then you can extract a file from an archive,
               edit it (via this command) and put it back into the archive,
               all from within the ArcAid environment.

               ArcAid uses the same file viewer for this command as it does
               for the 'V' command above.

          6.6.5. D - Change the logged drive

               This command allows you to change the logged drive for the
               current directory window. Press 'D' and you will be prompted
               for a new disk drive letter. Just enter the letter, not the
               colon (:) of the drive you wish to change to. ArcAid will
               attempt to log into the new drive and it's root directory.

               When you enter this command, ArcAid will display the
               current/default drive for your reference. If you do not wish
               to change the drive for some reason, just press <Enter>
               without entering a drive letter.

               If you ask for an invalid drive, or for some reason (like
               the drive is not ready) ArcAid cannot log into it, you will
               be returned to the previously selected drive for that win-
               dow, logged into the root directory.

          6.6.6. P - Change the logged directory (path)

               This is a shortcut to any desired directory on any drive.
               Prior to release 1.20, you were restricted to only a path-
               name and that path had to be on the currently logged drive.
               Starting with release 1.20, you can enter the full
               drive\path specification and ArcAid will log into any legal
               drive and path specification you give it.

               Press 'P' and enter the new path name, including the drive
               name and/or leading backslash (\), if needed. If ArcAid can
               log into the new drive and path, it will do so, then display
               the full drive and pathname in the status window, then look
               up all the file entries for that directory. If ArcAid could
               not log into that directory (illegal or non-existant path-
               name, for example), ArcAid will return you to the previously
               logged drive and directory.

               When you enter this command, ArcAid will display the

                                         18






               current/default path name for your reference. If you decide
               you do not want to change directories, just press <Enter>
               without entering anything and ArcAid will leave the current
               path unchanged.

               HINT: If you wish to browse your way through the direc-
               tories, you may do so by moving the cursor bar to a specific
               directory name (designated by <DIR> in the description).
               Press <Enter> and ArcAid will automatically log into the new
               sub-directory. This includes the DOS 'short-hand' for the
               directory above the current one ('..').

               Note that in the sysop mode, this command is augmented. In
               sysop mode you will be presented with a list of all the
               defined system file areas. Move the cursor bar (or use your
               mouse) to the desired area and press <Enter>, and ArcAid
               will log into that area, using the file description list
               (FILES.BBS on some systems) as the directory contents. If
               you do not wish to log into one of these areas, press <Esc>
               and you will be prompted for the path name to log into. If
               you have, by now, changed your mind, just press <Enter>
               without entering any path and ArcAid will return you to the
               last directory.

          6.6.7. M - Set directory file mask

               This command will allow you to restrict the files that are
               displayed in the directory window. This command supports the
               full MS-DOS wildcard options (limited as they are). This is
               helpful if you have a large directory and only want to look
               at a few files.

               To use this command, press 'M' and you will be prompted for
               a new file mask, with the current value displayed on the
               window border. Pressing <Enter> without making any entry
               will exit with no changes. Otherwise, enter the new file
               mask (like mike??.dat or foo*.zip, etc.) and press <Enter>.

               Please remember that this command only limits the files that
               are displayed and not the scope of any of the commands. For
               example, if you used the delete file command (Alt-D) and en-
               tered *.*, it would delete all the files in the directory
               and not just the ones displayed.

          6.7. FUNCTION KEY COMMANDS


          This section will describe the functions that are available
          through the function keys (Isn't this documentation awesome?).
          Currently F1-F6 support ArcAid commands.

          A note about Function Key command procedures and the ArcAid win-

                                         19






          dows is in order. In most function key commands, ArcAid uses a
          Source to Destination approach. Source and destination are rela-
          tive, however, depending upon which window you started with (I
          know, bad grammar, ending a sentence with a preposition).

          Basically, the window you start from is the source window and the
          one you end up with is the destination window. In all commands
          except the <F5> command, you will select your source window and
          object, then select the destination window (and possibly object).
          The windows can be logged into the same drive and directory, but
          you have to go from source to destination (again, except for
          <F5>).

          This is simpler than it sounds. For example, say you wanted to
          extract a file called FOO.BAZ from an archive file called
          FOO.ARC. Starting from either window:

               1) Log into the directory containing FOO.ARC
               2) Move cursor bar to FOO.ARC
               3) Press 'C' to get contents listing of FOO.ARC
               4) Move cursor bar in listing to FOO.BAZ
               5) Press <Enter> to select FOO.BAZ
               6) Press <Tab> key to select destination window
               7) Log into the destination drive and directory
               8) Press <F2>

          If the above sounds like a lot of steps, please note that I went
          into a significant amount of detail to very plainly show how to
          do an extract. The above principle works for all commands (except
          for the now infamous <F5>).


          6.7.1. F1 - The Help Screen

               Striking the <F1> key will bring up the on-line help system.
               Starting with release 1.40 the help has been significantly
               improved, with context sensitive information for the various
               entry screens and on-line explanations for all commands,
               with examples for most. The help is cross-referenced, which
               means that you can select related information by selecting
               the hi-lighted entries (using arrows or mouse) and pressing
               <Enter> (or mouse left button). Use the <PgUp> and <PgDn>
               keys to browse through the help screens for each item.

               Pressing <Esc> terminates help and returns you to the
               program.







                                         20






          6.7.2. F2 - Extract a file from an archive

               This command extracts a file from an archive. As I already
               went into some detail above, see the above example for how
               to extract a file.

               ArcAid attempts to make things as easy as possible here. If
               you have hi-lighted an archive file and hit the <Tab> key to
               the destination window, but haven't yet selected files to
               extract...have no fear. Hit <F2> anyway. ArcAid is smart
               enough to know that you haven't selected any files and will
               present you with the list of files contained in the hi-
               lighted archive file for your selection. Select either by
               tagging, or by using wildcards (as previously described) and
               continue.


          6.7.3. F3 - Add a file to an archive

               As you might suspect, this command allows you to add a new
               file to an existing archive file. Starting with either
               directory window:

               1) Select the file (by moving the cursor bar to the file
               entry) that you wish to add to the archive. Note that you
               may also tag more than one file for addition to the archive.
               Tagging files is done by seleting a file and then pressing
               the <Ins> key. You may also not tag any files, but use
               wildcards to select files instead.

               2) Press the <Tab> key to select the other window. This win-
               dow now automatically becomes the destination window.

               3) Select the desired destination archive file. You may
               first have to change drive and/or directory to find the des-
               tination archive file.

               4) Press <F3>.

               ArcAid will automatically select the appropriate archiver
               for the type of archive file and proceed with the operation.
               In the case that more than one archiver can process the
               file, ArcAid will display a list of programs. Select the one
               you use and press <Enter>. ArcAid will call the selected ar-
               chiver.

               Please note that ArcAid uses the ADD command for the archive
               files and not the UPDATE commands. This may cause problems
               for you if it overwrites a file already existing in the ar-
               chive with the same name. Check first.



                                         21






          6.7.4. F4 - Delete a file from an archive

               You delete files from an existing archive with this command.
               Starting from either window:

               1) Select the desired archive file.

               2) Press 'C' to get the contents listing. Move the cursor
               bar to the file you wish to delete from the archive. If you
               want to delete more than one file, you may either tag the
               files you wish to delete, or use wildcards. When you have
               completed your selection process, press <Enter>.

               3) Press <F4>. You will be asked if you really want to do
               this. After all these steps, this may not seem necessary,
               but deletions are forever in some archive files. Enter 'Y'
               if yes, 'N' if no. The file will be deleted.
               Like the extract option ( <F2> ), ArcAid will know if you
               have selected files to delete. You can shortcut this option
               by simply hi-lighting an archive file and pressing <F4>. A
               list will be presented to you. If you press <Esc>, the
               operation is stopped and you are returned to the directory
               view mode.


          6.7.5. F5 - Copy a file from one archive to another

               This command allows you to extract a file from one archive
               file and move it to another file. The archive files can be
               of different types (assuming that you have both archiver
               utilities).

               Due to memory constraints (believe it or not) that were
               originally imposed upon the program's design, this command
               works from Destination to Source. Starting from either
               window:

               1) Browse through some archive files until you find the one
               that you want as destination. Move the cursor bar to it. The
               destination file is now pointed to.

               2) Press the <Tab> key and switch to the now SOURCE window.
               Select the archive file that contains the file to be copied.

               3) Press 'C' to get the contents list. Move the cursor bar
               to the file(s) you wish to copy. Multiple files can be
               selected by either tagging files using the <Ins> key or by
               not tagging any files and using wildcards when prompted.
               Press <Enter> after the selection is complete.

               4) Press <F5>. ArcAid will take care of the rest.


                                         22






          6.7.6. F6 - Create a new archive file (from scratch)

               If, for some reason, you find that you need to create a new
               archive file from scratch, this is the command you need.

               Starting with any window:

               1) Select the file(s) that you wish to archive. Multiple
               files can be selected by using the <Ins> key to tag files,
               or wildcards can be used if no files are tagged.

               2) Press <Tab> and select the destination window.

               3) Press <F6>. You will be asked for a file name. Enter any
               legal DOS name. If you leave off the extension, the archiver
               will add its own. Press <Enter> and off it goes. If you
               press <Enter> without entering a name, the operation will
               abort.


          sF6- Create a self-extracting archive

               This command will create a self-extracting archive file from
               an existing archive file. The file created will be placed in
               the same directory as the source archive file. Due to the
               operations of the archivers, you must have created an ar-
               chive file of the appropriate type prior to this operation.
               The file name for the self-extracting file will be the same
               as the original file with an .EXE extension (or .COM with
               some Lharc files).

               To create the self-extracting archive file:

               1) Select the archive file to convert.

               2) Press <Shift><F6> (hold down <Shift> key and press <F6>).

               3) ArcAid does the rest.


          6.7.7. F7 - Create new subdirectory

               This command allows you to create subdirectory entries on
               the drive for the currently active directory window. This
               command works exactly in the fashion that the DOS MakeDirec-
               tory command works.

               To use this command, select the drive in which you wish to
               make the directory and press <F7>. You will be asked for a
               new path name. Enter the pathname as desired. If ArcAid can-
               not make the entry, you will be so informed.


                                         23






          6.7.8. F8 - Remove subdirectory command

               This command is the complement to <F7> and works exactly the
               way the DOS command RemoveDirectory works...well sort of.

               To use this command, move the cursor bar to the directory
               you wish to remove and press <F8>. ArcAid will attempt to
               remove the directory. If there was an error, you will be so
               informed. Note that the directory must be empty before it
               can be removed.


          6.7.9. F9 - Rename file command

               This command provides the capability of renaming a file or
               files one at a time. Sorry, but currently there is no
               wildcard or tag support for this command. This will most
               likely be forthcoming in a later release. But for now, it is
               file-at-a-time.
               To use this command, simply select the file to be renamed
               with the cursor bar and press <Enter>. ArcAid will prompt
               you for the file name, with the selected file as the
               default. Press <Enter> to accept the default, or enter a new
               name. Next, ArcAid will ask for the new file name. Enter any
               non-in-use valid DOS filename and press <Enter>. ArcAid will
               attempt to rename the file and will inform you of any errors
               in the process.

               Note that if you are not changing the drive/partition, you
               can use this command to move files between subdirectoris on
               the same drive/partition. Just enter the full
               drive\path\filename of the destination file and it will be
               moved.


          6.8. ALT KEYBOARD COMMANDS


          These commands are the operations available through use of the
          <Alt> and other keyboard combinations. Currently there are six
          commands available. These commands include the DOS file manage-
          ment commands, ArcAid configuration commands and the exit to DOS
          command.

          6.8.1. <Alt-V> - Change file viewer

               This command allows you to change the program that you use
               to view text files. Press <Alt-V> (or <Alt-F>) and you will
               be asked for a new file viewer name. You can enter your
               favorite viewer program (assuming, of course, that you have
               it). ArcAid will now call this instead of the default viewer
               (README.EXE).

                                         24







               ArcAid calls the viewer with the file name passed on the
               command line. If your viewer does not accept this, you may
               have problems in using it. I have tried several viewers and
               editors and they all worked fine. As long as it has suffi-
               cient memory to load, it should work.

               There are no restrictions placed on this, other than being a
               legal DOS name. You could really use anything you want.
               Experiment! Be Imaginative! Be Practical!

               IMPORTANT! IMPORTANT! The default file viewer is a program
               called README. This is a really neat text file viewer that
               is released with many of Borland's software products. If you
               do not have this, or want to use your own favorite, then you
               will need to change the file viewer before you can view any
               text files. ArcAid will save the default viewer each time
               you change it. The default viewer is saved in a file called
               ARCAID.DEF and is located in the same directory that you put
               ARCAID.EXE. So, you only have to change it once. ArcAid
               looks for the defaults file and if it can find it, uses the
               defaults contained within.

          6.8.2. <Alt-W> - Change temp work file path

               As mentioned in the prior section relating to program
               defaults, ArcAid uses a temporary directory in some of its
               processes. To make this a usable as possible, the user is
               allowed to change the pathname associated with the work
               directory. The default pathname is the currently selected
               directory.

               To change this, enter <Alt-W>. You will be prompted for a
               new directory pathname. Enter any legal (and existing) DOS
               pathname, including the trailing backslash. ArcAid will save
               this pathname in ARCAID.DEF for future use. You can change
               the pathname at any time, and ArcAid will save it each time
               you change it. You will probably only have to set it once
               and forget about it.

          6.8.3. <Alt-O> - OS Shell

               This command allows you to do a temporary exit from ArcAid
               to MS-DOS. ArcAid stays memory resident, occupying a minimum
               of 128K, depending upon how big the directories were that
               you exited from. You can do anything from DOS that your
               available remaining memory allows. To get back to ArcAid,
               enter the command    EXIT   at the MS-DOS prompt. Arcaid
               will return you to the environment that you were in when you
               had shelled to DOS.



                                         25






          6.8.4. <Alt-C> - Copy files command

               This command provides part of a limited DOS file managment
               support system. It has not been the design intent of ArcAid
               to develop a full file management system within ArcAid, but
               some features are nice.

               To copy a file or files from a source directory to a des-
               tination directory, starting with any window:

               1) Select the file(s) that you wish to copy. A single file
               can be selected by moving the cursor bar to it. Multiple
               files can be selected either by tagging the files (move the
               cursor bar to the desired file and press the <Ins> key) or
               by not tagging any files and using wildcards when prompted.

               2) Press the <Tab> key to select the destination window. If
               necessary, change to the destination drive and directory.

               3) Press <Alt-C>. If you didn't tag any files, you will be
               presented with a prompt asking for a file specification. The
               default value will be displayed in the prompt window border.
               If you want to use the default value, simply press <Enter>.
               If you would like to use wildcards, enter the wildcard value
               at this time.

               4) ArcAid will display a window and a copy 'thermometer' to
               advise you of copy progress. This window will be displayed
               for each file selected.


          6.8.5. <Alt-M> - Move file(s) command

               This command performs the equivalent of a copy and delete
               operation, thus moving a file from source to destination.
               The source file is not removed until after the copy opera-
               tion has been completed. If an error was detected in copying
               the file, the source file will not be removed. The same
               tag/wildcard options are available for this operation as
               with the copy operation.

               Note that in the sysop mode, this command is augmented. In
               the sysop mode, this command moves the file and the file
               description to the destination directory. If there is no
               file description list in the destination window, the
               description will not be copied, but will be removed from the
               source list. No destination file list will be created.






                                         26






          <Alt-N> - Toggle ArcAid Noise

               This command toggles off/on the noise/sound effects that Ar-
               cAid makes. This feature can be useful if you don't like
               your programs to make noise, or any other reason.

          6.8.6. <Alt-D> - Delete file

               This command provides DOS file deletion capability, similar
               to the DOS Del or Erase command. With this command, only the
               source directory window is used.

               To delete a file or files from a source directory, starting
               with any window:

               1) Select the file(s) that you wish to delete. A single file
               can be selected by moving the cursor bar to it. Multiple
               files can be selected either by tagging the files (move the
               cursor bar to the desired file and press the <Ins> key) or
               by not tagging any files and using wildcards when prompted.

               2) Press <Alt-D>. If you didn't tag any files, you will be
               presented with a prompt asking for a file specification. The
               default value will be displayed in the prompt window border.
               If you want to use the default value, simply press <Enter>.
               If you would like to use wildcards, enter the wildcard value
               at this time.

               3) You will now be asked if you are sure that you want to do
               this. Again, we try not to be a pain with user friendliness,
               but undeleting files is something we don't want to have to
               do, especially if we don't have an undelete utility. ArcAid
               cannot undelete files it deletes. If you want to do this,
               enter 'Y' and <Enter>.

               4) ArcAid will now delete all selected files.

          6.8.7. <Alt-F> - Change program defaults

               This command allows you to change all the program defaults
               from a single screen. And, in addition to being able to
               change the default program file viewer and the default tem-
               porary work path, you can also define the operational video
               attributes (Color/Mono, CGA snow checking, BIOS/Direct
               Video) that you need for your particular system. It is im-
               portant to note that although the viewer and workspace can
               be changed with other commands, the video attributes can
               only be changed via this menu.

               To change any of the defaults, use the cursor arrows to
               position to the field you wish to change and enter the new
               value. A detailed explanation of all these functions is

                                         27






               found in the section PROGRAM DEFAULTS. This screen is really
               pretty self-explanatory and should not pose a problem in
               use, but do read the PROGRAM DEFAULTS sections for the sub-
               tleties of the various options.

               To accept your changes, press <Ctrl-Enter> (or <Enter> from
               the last field). ArcAid will process the fields and return
               you to the main screen.

               Note: if you have entered a pathname in the sysop mode
               entry, you will be prompted for a bbs type. Select from the
               provided list the appropriate entry. If you are not a sysop
               and/or have no bbs, select no bbs. Of course, if you don't
               want to bother with this selection, leave the sysop mode
               pathname entry in the configuration list empty.


          6.8.8. <Alt-X> - Exit program


               More or less, self explanatory. Every good program should
               allow you to gracefully exit, and for ArcAid, this is it.
               You want to exit the program? Press <Alt-X>. ArcAid will ask
               you if your sure. Press 'Y' if you want to exit. Press 'N'
               or <Enter> if you don't.




























                                         28






          6.9. SYSOP COMMANDS

          With ArcAid version 1.30 comes the capability to integrate into
          certain BBS systems to make the sysop's job a little easier.
          These commands will hopefully help the sysop in maintaining the
          uploaded files and download areas by providing some file main-
          tenance commands that work directly with their BBS. These com-
          mands include the ability to move files from one file area to
          another, moving the file description at the same time; editing
          the file description; and adding and removing files to/from the
          file description list. Some of these commands have already been
          described, as they are augmented commands from the normal or non-
          sysop mode. The remaining commands will be described below.


          6.9.1. <Alt-S> - Sysop mode toggle

               This command enables the sysop mode commands, which are not
               needed by those not operating a bulletin board system. When
               you press <Alt-S>, ArcAid attempts to read the system file
               area definitions as defined by the selected BBS type. If Ar-
               cAid cannot find the file area definition file(s), or there
               is an error in reading the file(s), then ArcAid will abort
               the sysop mode and return to normal operation. If all goes
               well, then ArcAid will build an internal list of defined
               file areas and their paths and area descriptions. The sysop
               mode and extra commands will then be enabled.

               You may exit the sysop mode at any time by again pressing
               <Alt-S>. ArcAid, however, will not remove the internal list
               from memory, so that you can easily toggle back into the
               sysop mode, if desired.

          6.9.2. <Alt-A> - Add entries to the file description list

               BBS systems typically maintain a list of files within a file
               area. This list is often named FILES.BBS and is usually lo-
               cated in the file area for which directory it contains. In-
               cluded with the list is a description that is displayed when
               the BBS displays the file area directory. This command al-
               lows you to add file entries to the list, including the file
               description.

               When you press <Alt-A>, you will be prompted with a list of
               available files within the directory. You can select any of
               the files to be added to the list. Care should be taken to
               insure that duplicate entries are not accidently made. Be-
               cause you may want to have temporary duplicate entries, Ar-
               cAid does not prohibit this. After an entry has been
               selected, you will be asked for a file description. After
               entering the file description, ArcAid will add this file to
               the end of the list.

                                         29







               Note that you can browse through available directories when
               selecting a file, but ArcAid will not include the drive and
               path, but only the file name (and extension) when it adds
               the name to the list.

          6.9.3. <Alt-E> - Edit file description

               This command allows you to edit the file description for an
               exiting entry in the list. When editing the description, if
               the first key pressed is not a cursor movement key, the
               description is erased and completely new text may be en-
               tered. If the first key pressed is a cursor movement key,
               the original text remains intact and you may edit it.

               Starting with release 1.50, Arc Aid provides a configurable
               default description. What this does is to allow the Sysop to
               simply enter a "canned" description. To use this feature,
               the Sysop has to (1) Enter the default description in the
               space provided on the configuration screen and (2), leave
               the file's description empty (blank) after editing (just
               hitting the space bar and then <Enter> will do it). When Arc
               Aid sees the file description empty, it automatically copies
               the default description to the file's description area.

          6.9.4. <Alt-R> - Remove file entry and description

               There may be the occasion where the sysop will not want
               files in the area to be contained in the file description
               list, or files have been removed without updating the file
               list. The command allows both options to be considered.

               Move the cursor bar to the entry to be removed and press
               <Alt-R>. The entry will be removed, however, if the file is
               in the area, it will not be deleted.

          6.9.5. <Alt-M> - Move file(s) command, sysop mode

               This command performs the equivalent of a copy and delete
               operation, thus moving a file from source to destination.
               The source file is not removed until after the copy opera-
               tion has been completed. If an error was detected in copying
               the file, the source file will not be removed. The same
               tag/wildcard options are available for this operation as
               with the copy operation.

               In the sysop mode, this command moves the file and the file
               description to the destination directory. If there is no
               file description list in the destination window, the
               description will not be copied, but will be removed from the
               source list. No destination file list will be created.


                                         30






          6.9.6. P - Change the logged directory (path), sysop mode

               This is a shortcut to any desired directory on any drive.
               Prior to release 1.20, you were restricted to only a path-
               name and that path had to be on the currently logged drive.
               Starting with release 1.20, you can enter the full
               drive\path specification and ArcAid will log into any legal
               drive and path specification you give it.

               Note that in the sysop mode, this command is augmented. In
               this mode you will be presented with a list of all the
               defined system file areas. Move the cursor bar (or use your
               mouse) to the desired area and press <Enter>, and ArcAid
               will log into that area, using the file description list
               (FILES.BBS on some systems) as the directory contents. If
               you do not wish to log into one of these areas, press <Esc>
               and you will be prompted for the path name to log into.

               If you decide to skip the system area list, ArcAid will dis-
               play the current/default path name for your reference. If
               you decide you do not want to change directories, just press
               <Enter> without entering anything and ArcAid will leave the
               current path unchanged.

          7. MISCELLANEOUS

          If there is any interest shown in ArcAid, I will continue to
          develop and enhance it. I have a few ideas for continued develop-
          ment and will probably pursue them, but I would like to hear from
          others who use it. I believe that user supported means that users
          have input to the program direction.

          I developed this program not to get rich but because I wanted a
          good utility and I enjoy writing code. But it goes without saying
          that if you would like to see this program continue in its
          development and support, then register the program. I will do my
          best to support this product and you in your use of it. I believe
          in quality software at very low prices, but I can't continue
          without your support.

          The most current release of ArcAid will (for the near future,
          anyway) be available on:


               Ryan's Bar
               Opus Node 1:228/28
               (616) 456-1845
               Thomas Ryan, Sysop

               and . . .



                                         31






               Evans BBS
               Greenville, MI
               Opus Node 1:228/10.0
               (616)-754-6180
               Harry Moyles, Sysop

          You can leave Net Mail for me at either board, but due to long
          distance logistics, you will get a quicker response from mail via
          Ryan's Bar or Tom Ryan's Express Mail BBS, The Post Office,
          1:228/38. Or, if you must, you can call me voice at (616) 887-
          9404. I prefer Net Mail. I'm not anti-social, I'm just kinda hard
          to get in touch with via voice.

          I also recognize that document files will only be used as they
          meet users' needs so I will be working to improve it. Feedback on
          things you would like to see in this guide would also be ap-
          preciated.


          8. DISCLAIMER

                        DISCLAIMER    DISCLAIMER   DISCLAIMER

          This may seem a strange place for it, but here it is. I've done
          the best I can to make sure that ArcAid will not operate errati-
          cally, but I cannot be responsible for any damage that occurs to
          any part of your computer system, especially including files, be-
          cause you used ArcAid. There are too many different system con-
          figurations to work with so that all possible configurations can
          be adequately tested. Use at your own risk.

          I hope that you enjoy using this program as much as I did writing
          it. I also hope that it is as useful for you has it has been for
          me.

          Mike Masse
          8822 Country View Drive
          Sparta, MI  49345
          (616) 887-9404 (voice)
          1:228/38 Net Mail -- The Post Office (preferred)













                                         32






          Appendix A. Supported BBS Types

          Arc Aid does not automatically directly support all BBS types due
          to the diverse nature of their development and structure. If you
          are running a BBS type that Arc Aid does not directly support and
          would like to see Arc Aid do this, contact me and I will provide
          you a list of information that I need to integrate Arc Aid into
          your system.

          Starting with release 1.51, Arc Aid can provide indirect support
          of all BBS' in two ways. (1) All BBS' that use FLSEARCH to manage
          their file areas can now select this option from the BBS list Arc
          Aid presents. (2) All other BBS' can use a control file called
          GENERIC.CTL which contains a list of all file area paths and
          their descriptions. To make creation of this file relatively
          painless, a utility called MAKGEN (MAKe GENeric.ctl) is provided
          with separate operational documentation. Select the GENERIC op-
          tion from the BBS list to make use of this.

          ArcAid currently directly supports:

          BBS Name       System Files Used   File Description List Name

          Opus 1.03        SYSTEM??.BBS           FILES.BBS
          Opus 1.10        SYSTEM??.DAT           FILES.BBS
          Maximus 1.00     AREA.DAT               FILES.BBS
          Maximus 1.02     AEEA.DAT               FILES.BBS
          QuickBBS 2.64    *.MNU                  FILES.BBS
          RemoteAccess     *.MNU                  FILES.BBS
          < Any >          FLSEARCH.CTL           FILES.BBS
          < Any >          GENERIC.CTL            FILES.BBS






















                                         33






          Appendix B. GENERIC.CTL File Format

          The file GENERIC.CTL is used in the Sysop Mode to allow Arc Aid
          (and the Sysop) easy access to all the BBS' file areas. This file
          is a plain text file that can be created with any editor, or you
          can use the utility MAKGEN, provided in the archive distribution
          file, to create it.

          The format for GENERIC.CTL is rather simple, each line describes
          a file area, with two fields to each line. The first field is the
          full drive\pathname for the file area. The second field is the
          file area's description, with the intervening spaces between
          words replaced with underscores ( _ ).

          For example:

          C:\IBM\GAMES\DOORS  Various_IBM_door_game_programs
          D:\BBS\DATABASE     PD_database_programs_and_utilities
          ^^^^^^^^^^^^^^^     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
                 /                     /
               Path           File Area Description

          The number of spaces that separate the two fields is not impor-
          tant as long as there is at least 1 space between them, and the
          total line length does not exceed 256 characters. MAKGEN will
          place only 1 space between the two fields. The above example is
          shown with more spaces for clarity. Although the description can
          be up to 75 characters long, Arc Aid will only display the first
          35 characters in the path window (it's all I could fit). Do not
          put trailing backslashes (\) on the path name (MAKGEN won't do
          this, but you might).






















                                         34






          Appendix C. ARCAID.DEF File Format

          Arc Aid will maintain the defaults and configuration file
          (ARCAID.DEF), but as Arc Aid has developed so has the contents
          and organization of this file. This may continue to do so in the
          future. Arc Aid has been designed to be a simple program to run
          without tedious steps involved in configuration. HOWEVER, for
          those of you who might want/need different configuration files
          (for whatever reason) or who might want to manually edit/maintain
          the configuration file (you masochist you), herein lies its
          details.

          ARCAID.DEF is a plain text file which can be edited by any plain
          text editor (makes sense, huh?). Anyway, a sample layout is dis-
          played below. The comments, as shown below after each entry, are
          shown only for clarification. Do not put them into your 'live'
          configuration file. They will cause a considerable amount of con-
          fusion if you decide to put them in. Although Arc Aid won't do
          nasty things to you, it certainly won't function for you, either.

          Also, please note that all path names REQUIRE a trailing back-
          slash (\) as shown below.

          readme                             ; name of file viewer
          E:\                                ; path to temporary work area
          E:\DOWNLOAD\                       ; default left window startup
          E:\UPLOAD\                         ; default right window startup
          E:\OPUS\                           ; path to BBS system files
          No description entered at upload   ; default edit description
          N                                  ; Autosave defaults on exit
          Y                                  ; Exit to startup directory
          6                                  ; BBS type number
          0                                  ; Force Monochrome (0 = No)
          0                                  ; CGA Snow Check (0 = No)
          0                                  ; Use BIOS video (0 = No)


















                                         35






          Appendix D. Window movement and editing keys

          In the directory windows, the following cursor keys provide
          movement:

          Up        Move cursor bar up one entry. Scroll up if at top.
          Down      Move cursor bar down one entry. Scroll down if at
                    bottom.
          PageDown  Scroll down 1 screen of entries.
          PageUp    Scroll up 1 screen of entries.
          Home      Move window to top of list.
          End       Move window to bottom of list.

          In the configuration window and other field input forms in Arc
          Aid, the following keys are active:

          Leftarrow      Move cursor left one position.
          Rightarrow     Move cursor right one position.
          Ctrl-Left      Move word left.
          Ctrl-Right     Move word right.
          Home           Move cursor to beginning of line.
          End            Move cursor to end of line.
          Uparrow        Move to previous field or entry.
          Downarrow      Move to next field or entry.
          Tab            Move to next field.
          Shift-Tab      Move to previous field.
          Enter          Accept entry and proceed to next field or entry.
                         If last, accept all.
          Ctrl-Enter     Accept all entries, regardless of position in
                         form.
          Ins            Toggle insert mode.
          Del            Delete character under cursor.
          Backspace      Delete character to left of cursor.
          Ctrl-backspace Delete word left.
          Ctrl-R         Restore field to original contents.
          Ctrl-T         Delete word right.
          Ctrl-U         Delete from cursor right to end of field.
          Ctrl-Y         Delete from cursor right to end of last field.
          Esc            Abort operation.














                                         36
